> For the complete documentation index, see [llms.txt](https://docs.snapodds.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snapodds.com/docs/mobile-sdk/android/snapodds-sport-media/customization.md).

# Customization

## Customizing Colors

To customize colors in `SnapFragment` or `OddsResultsFragment` use the `UIColorConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.colorConfiguration.background = R.color.myBackground
```

## Customizing Fonts

To customize fonts in `SnapFragment` or `OddsResultsFragment`, use the `UIFontConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.fontConfiguration.baseTypeface = Typeface.DEFAULT
```

## Customizing Snap UI

To customize the displayed messages in `SnapFragment`, use the `UIConfiguration` object on the Snapscreen instance.

```kotlin
Snapscreen.instance?.snapUiConfiguration?.primaryColor = R.color.primary
```

All desired customizations should be done prior to presenting the `SnapFragment`. While it is possible to modify the configuration between presentations of the `SnapFragment`, such modifications while `SnapFragment` is present are not guaranteed to be respected.

## Customizing Odds Display

To customize displayed messages in the `OddsResultsFragment`, use the `OddDisplayUIConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.oddsUiConfiguration?.title = "Game Odds"
```

All desired customizations must be done prior to presenting the `SnapActivity` and subsequently the `OddsResultsFragment`. While it is also possible to modify the configuration between presentations of the `OddsResultsFragment`, modifications initiated while the `Fragment` is present are not guaranteed to be respected.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snapodds.com/docs/mobile-sdk/android/snapodds-sport-media/customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
